Bug 496261 - Need to move /etc/modprobe.d/anaconda on upgrade
Need to move /etc/modprobe.d/anaconda on upgrade
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-04-17 11:00 EDT by Jeremy Katz
Modified: 2013-01-10 00:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 17:24:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2009-04-17 11:00:56 EDT
On an upgrade from an earlier release, people will have /etc/modprobe.d/anaconda which isn't owned by any package.  To avoid spewing warnings, it's probably worth migrating it in the %post of m-i-t.

Something like the following should work (also removes a now unneeded prereq)

[katzj@erebor F-11]$ cvs -q diff -u
Index: module-init-tools.spec
===================================================================
RCS file: /cvs/pkgs/rpms/module-init-tools/F-11/module-init-tools.spec,v
retrieving revision 1.85
diff -u -u -r1.85 module-init-tools.spec
--- module-init-tools.spec      19 Mar 2009 19:11:35 -0000      1.85
+++ module-init-tools.spec      17 Apr 2009 15:00:19 -0000
@@ -12,7 +12,7 @@
 Source4: depmod-dist.conf
 Source5: modprobe-dist-oss.conf
 Exclusiveos: Linux
-Prereq: /sbin/chkconfig sh-utils
+Prereq: sh-utils
 Obsoletes: modutils-devel modutils
 Provides: modutils = %{version}
 BuildPrereq: zlib-devel docbook-utils
@@ -61,7 +61,9 @@
 rm -rf $RPM_BUILD_ROOT
 
 %post
-# Removed 2.4 compatibility in post-F10 (in F11 onwards).
+if [ -f /etc/modprobe.d/anaconda -a ! -f /etc/modprobe.d/anaconda.conf ]; then
+  mv /etc/modprobe.d/anaconda /etc/modprobe.d/anaconda.conf
+fi
 
 %files
 %defattr(-,root,root)
Comment 1 Jeremy Katz 2009-05-19 21:53:28 EDT
Committed and built this

Note You need to log in before you can comment on or make changes to this bug.